http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}:listRevisionsListApiSpecRevisions lists all revisions of a spec. Revisions are returned in descending order of revision creation time.
The project id.
The location id.
The api id.
The version id.
The spec id.
The maximum number of revisions to return per page.
The page token, received from a previous ListApiSpecRevisions call. Provide this to retrieve the subsequent page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}:listRevisions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}:listRevisionsListApiSpecRevisions lists all revisions of a spec. Revisions are returned in descending order of revision creation time.
The project id.
The location id.
The api id.
The version id.
The spec id.
The maximum number of revisions to return per page.
The page token, received from a previous ListApiSpecRevisions call. Provide this to retrieve the subsequent page.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigee.local/v1/projects/{project}/locations/{location}/apis/{api}/versions/{version}/specs/{spec}:listRevisions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}